# Auctions

## GET /auctions/active

> Get currently active auction

```json
{"openapi":"3.1.0","info":{"title":"Ethos API","version":"v2"},"tags":[{"name":"auctions"}],"servers":[{"url":"https://api.ethos.network/api/v2"}],"paths":{"/auctions/active":{"get":{"operationId":"auctions-getActiveAuction","summary":"Get currently active auction","tags":["auctions"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"id":{"type":"number"},"creatorAddress":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftContract":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftTokenId":{"type":"number"},"tokenURI":{"anyOf":[{"type":"string"},{"type":"null"}]},"startPrice":{"type":"integer","format":"int64"},"reservePrice":{"type":"integer","format":"int64"},"duration":{"type":"number"},"paymentRecipient":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"paymentToken":{"type":"string"},"startTime":{"type":"string"},"status":{"type":"string","enum":["DISABLED","ENABLED","SOLD"]},"buyerAddress":{"anyOf":[{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},{"type":"null"}]},"pricePaid":{"anyOf":[{"type":"integer","format":"int64"},{"type":"null"}]},"soldTime":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"prevId":{"anyOf":[{"type":"number"},{"type":"null"}]},"nextId":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","creatorAddress","nftContract","nftTokenId","tokenURI","startPrice","reservePrice","duration","paymentRecipient","paymentToken","startTime","status","buyerAddress","pricePaid","soldTime","createdAt","updatedAt"],"additionalProperties":false},{"type":"null"}]}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}},"components":{"schemas":{"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}}}
```

## GET /auctions/{auctionId}

> Get auction details by ID

```json
{"openapi":"3.1.0","info":{"title":"Ethos API","version":"v2"},"tags":[{"name":"auctions"}],"servers":[{"url":"https://api.ethos.network/api/v2"}],"paths":{"/auctions/{auctionId}":{"get":{"operationId":"auctions-getAuction","summary":"Get auction details by ID","tags":["auctions"],"parameters":[{"in":"path","name":"auctionId","schema":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"number"},"creatorAddress":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftContract":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftTokenId":{"type":"number"},"tokenURI":{"anyOf":[{"type":"string"},{"type":"null"}]},"startPrice":{"type":"integer","format":"int64"},"reservePrice":{"type":"integer","format":"int64"},"duration":{"type":"number"},"paymentRecipient":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"paymentToken":{"type":"string"},"startTime":{"type":"string"},"status":{"type":"string","enum":["DISABLED","ENABLED","SOLD"]},"buyerAddress":{"anyOf":[{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},{"type":"null"}]},"pricePaid":{"anyOf":[{"type":"integer","format":"int64"},{"type":"null"}]},"soldTime":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"prevId":{"anyOf":[{"type":"number"},{"type":"null"}]},"nextId":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","creatorAddress","nftContract","nftTokenId","tokenURI","startPrice","reservePrice","duration","paymentRecipient","paymentToken","startTime","status","buyerAddress","pricePaid","soldTime","createdAt","updatedAt"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}},"components":{"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}}}
```

## GET /auctions

> List auctions with optional filters and sorting

```json
{"openapi":"3.1.0","info":{"title":"Ethos API","version":"v2"},"tags":[{"name":"auctions"}],"servers":[{"url":"https://api.ethos.network/api/v2"}],"paths":{"/auctions":{"get":{"operationId":"auctions-listAuctions","summary":"List auctions with optional filters and sorting","tags":["auctions"],"parameters":[{"in":"query","name":"limit","schema":{"default":50,"type":"integer","minimum":-9007199254740991,"maximum":50}},{"in":"query","name":"offset","schema":{"default":0,"type":"number"}},{"in":"query","name":"status","schema":{"type":"string","enum":["DISABLED","ENABLED","SOLD"]}},{"in":"query","name":"nftContract","schema":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"}},{"in":"query","name":"nftTokenId","schema":{"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}},{"in":"query","name":"orderBy","schema":{"default":"id","type":"string","enum":["id","createdAt","startTime","startPrice","pricePaid","soldTime","nftTokenId"]}},{"in":"query","name":"orderDirection","schema":{"default":"desc","type":"string","enum":["asc","desc"]}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"values":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"creatorAddress":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftContract":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"nftTokenId":{"type":"number"},"tokenURI":{"anyOf":[{"type":"string"},{"type":"null"}]},"startPrice":{"type":"integer","format":"int64"},"reservePrice":{"type":"integer","format":"int64"},"duration":{"type":"number"},"paymentRecipient":{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},"paymentToken":{"type":"string"},"startTime":{"type":"string"},"status":{"type":"string","enum":["DISABLED","ENABLED","SOLD"]},"buyerAddress":{"anyOf":[{"type":"string","description":"Ethereum address (0x-prefixed, 20 bytes)"},{"type":"null"}]},"pricePaid":{"anyOf":[{"type":"integer","format":"int64"},{"type":"null"}]},"soldTime":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"prevId":{"anyOf":[{"type":"number"},{"type":"null"}]},"nextId":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","creatorAddress","nftContract","nftTokenId","tokenURI","startPrice","reservePrice","duration","paymentRecipient","paymentToken","startTime","status","buyerAddress","pricePaid","soldTime","createdAt","updatedAt"],"additionalProperties":false}},"total":{"type":"number"},"limit":{"type":"number"},"offset":{"type":"number"}},"required":["values","total","limit","offset"],"additionalProperties":false}}}},"400":{"description":"Invalid input data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.BAD_REQUEST"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.NOT_FOUND"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.INTERNAL_SERVER_ERROR"}}}}}}}},"components":{"schemas":{"error.BAD_REQUEST":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Invalid input data error (400)","description":"The error information"},"error.NOT_FOUND":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Not found error (404)","description":"The error information"},"error.INTERNAL_SERVER_ERROR":{"type":"object","properties":{"message":{"type":"string","description":"The error message"},"code":{"type":"string","description":"The error code"},"issues":{"description":"An array of issues that were responsible for the error","type":"array","items":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}},"required":["message","code"],"additionalProperties":false,"title":"Internal server error error (500)","description":"The error information"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ethos.network/api-documentation/api-v2/auctions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
